Initiate Mandate Authorisation

Last updated May 22nd, 2026

post api.withmono.com/v2/payments/initiate
v1.0

This resource returns a link for your customers to authorise their mandate. It is helpful when you don't need to customise the flow. When you use this resource to setup a mandate, you have no need for the create a mandate endpoint.

callout-icon

A more detailed guide on using this resource can be found here.

Debit Types & Amount

Debit Types & Amount

Variable: The amount represents the total funds a business plans to collect from a customer over the mandate period. Individual debit amounts can vary within this total limit.

Fixed: The amount specifies the exact amount to be debited per transaction. The total debit is automatically calculated based on this fixed amount. Once set during mandate authorization, this amount cannot be modified.

Body Params - Variable Mandate
Body Params - Fixed Mandate
Headers

Request

1234567891011121314151617181920212223
curl --request POST \
     --url https://api.withmono.com/v2/payments/initiate \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'mono-sec-key: string' \
     --data {
          "amount": 9190030,
          "type": "recurring-debit",
          "method": "mandate",
          "mandate_type": "emandate", // or "sweep"
          "debit_type": "variable", // or "fixed"
          "account_number": "12345678901",
          "bank_code": "023",
          "description": "Repayment for samuel@neem.com",
          "reference": "testO2b9O9EF903949493432",
          "redirect_url": "https://mono.co",
          "customer": {
              "id": "65eb623b0000900009e5c1f21cd"
          },
          "start_date": "2024-03-29",
          "end_date": "2024-08-04",
          "meta": {}
}

Response

Choose an option from the drop down or click one of these buttons to see an example:

Did this page help you?